package com.example.demo.repository;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.example.demo.model.User;

/**
 * The Mapper class for User
 * Note:
 * 1) @MapperScan("<this package>") has to be added in main application source
 * code.
 * 2) Since MyBatis+SQLite is used, we should use MyBatis-specific approach for
 * repositories. JpaRepository cannot be used.
 * JpaRepository is part of Spring Data JPA, and it's designed to work with JPA
 * (Java Persistence API) implementations, which include Hibernate, EclipseLink,
 * and other JPA providers. It's not intended to be used with MyBatis.
 * 
 * @see com.example.demo.MainApplication
 * 
 */
@Repository
public interface UserMapper {

    int addUser(User user);

    User getUserById(int id);

    List<User> getUsers();
}
